Index: /trunk/docs/doxyfile
===================================================================
--- /trunk/docs/doxyfile	(revision 118)
+++ /trunk/docs/doxyfile	(revision 119)
@@ -213,5 +213,5 @@
 # itcl::class meaning.
 
-TCL_SUBST              = 
+#TCL_SUBST              = 
 
 # Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C 
@@ -261,5 +261,5 @@
 # Disable only in case of backward compatibilities issues.
 
-MARKDOWN_SUPPORT       = YES
+#MARKDOWN_SUPPORT       = YES
 
 # When enabled doxygen tries to link words that correspond to documented classes, 
@@ -268,5 +268,5 @@
 # globally by setting AUTOLINK_SUPPORT to NO.
 
-AUTOLINK_SUPPORT       = YES
+#AUTOLINK_SUPPORT       = YES
 
 # If you use STL classes (i.e. std::string, std::vector, etc.) but do not want 
@@ -319,5 +319,5 @@
 # section (for LaTeX and RTF).
 
-INLINE_GROUPED_CLASSES = NO
+#INLINE_GROUPED_CLASSES = NO
 
 # When the INLINE_SIMPLE_STRUCTS tag is set to YES, structs, classes, and 
@@ -328,5 +328,5 @@
 # pages) or section (for LaTeX and RTF).
 
-INLINE_SIMPLE_STRUCTS  = NO
+#INLINE_SIMPLE_STRUCTS  = NO
 
 # When TYPEDEF_HIDES_STRUCT is enabled, a typedef of a struct, union, or enum 
@@ -365,5 +365,5 @@
 # corresponding to a cache size of 2^16 = 65536 symbols.
 
-LOOKUP_CACHE_SIZE      = 0
+#LOOKUP_CACHE_SIZE      = 0
 
 #---------------------------------------------------------------------------
@@ -386,5 +386,5 @@
 # scope will be included in the documentation.
 
-EXTRACT_PACKAGE        = NO
+#EXTRACT_PACKAGE        = NO
 
 # If the EXTRACT_STATIC tag is set to YES all static members of a file 
@@ -616,5 +616,5 @@
 # file names with spaces, bibtex cannot handle them.
 
-CITE_BIB_FILES         = 
+#CITE_BIB_FILES         = 
 
 #---------------------------------------------------------------------------
@@ -625,5 +625,5 @@
 # by doxygen. Possible values are YES and NO. If left blank NO is used.
 
-QUIET                  = NO
+QUIET                  = YES
 
 # The WARNINGS tag can be used to turn on/off the warning messages that are 
@@ -667,5 +667,5 @@
 # to stderr.
 
-WARN_LOGFILE           = 
+WARN_LOGFILE           = warning.log
 
 #---------------------------------------------------------------------------
@@ -800,5 +800,5 @@
 # the introduction page also for the doxygen output.
 
-USE_MDFILE_AS_MAINPAGE = 
+#USE_MDFILE_AS_MAINPAGE = 
 
 #---------------------------------------------------------------------------
@@ -937,5 +937,5 @@
 # the output directory.
 
-HTML_EXTRA_STYLESHEET  = 
+#HTML_EXTRA_STYLESHEET  = 
 
 # The HTML_EXTRA_FILES tag can be used to specify one or more extra images or 
@@ -946,5 +946,5 @@
 # the files will be copied as-is; there are no commands or markers available.
 
-HTML_EXTRA_FILES       = 
+#HTML_EXTRA_FILES       = 
 
 # The HTML_COLORSTYLE_HUE tag controls the color of the HTML output. 
@@ -994,5 +994,5 @@
 # and will result in a full expanded tree by default.
 
-HTML_INDEX_NUM_ENTRIES = 100
+#HTML_INDEX_NUM_ENTRIES = 100
 
 # If the GENERATE_DOCSET tag is set to YES, additional index files 
@@ -1215,5 +1215,5 @@
 # compatibility.
 
-MATHJAX_FORMAT         = HTML-CSS
+#MATHJAX_FORMAT         = HTML-CSS
 
 # When MathJax is enabled you need to specify the location relative to the 
@@ -1231,5 +1231,5 @@
 # names that should be enabled during MathJax rendering.
 
-MATHJAX_EXTENSIONS     = 
+#MATHJAX_EXTENSIONS     = 
 
 # When the SEARCHENGINE tag is enabled doxygen will generate a search box 
@@ -1261,5 +1261,5 @@
 # library Xapian. See the manual for configuration details.
 
-EXTERNAL_SEARCH        = NO
+#EXTERNAL_SEARCH        = NO
 
 # The SEARCHENGINE_URL should point to a search engine hosted by a web server 
@@ -1269,5 +1269,5 @@
 # details.
 
-SEARCHENGINE_URL       = 
+#SEARCHENGINE_URL       = 
 
 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the unindexed 
@@ -1275,5 +1275,5 @@
 # SEARCHDATA_FILE tag the name of this file can be specified.
 
-SEARCHDATA_FILE        = searchdata.xml
+#SEARCHDATA_FILE        = searchdata.xml
 
 # When SERVER_BASED_SEARCH AND EXTERNAL_SEARCH are both enabled the 
@@ -1282,5 +1282,5 @@
 # projects and redirect the results back to the right project.
 
-EXTERNAL_SEARCH_ID     = 
+#EXTERNAL_SEARCH_ID     = 
 
 # The EXTRA_SEARCH_MAPPINGS tag can be used to enable searching through doxygen 
@@ -1291,5 +1291,5 @@
 # The format is: EXTRA_SEARCH_MAPPINGS = id1=loc1 id2=loc2 ...
 
-EXTRA_SEARCH_MAPPINGS  = 
+#EXTRA_SEARCH_MAPPINGS  = 
 
 #---------------------------------------------------------------------------
@@ -1351,5 +1351,5 @@
 # standard footer. Notice: only use this tag if you know what you are doing!
 
-LATEX_FOOTER           = 
+#LATEX_FOOTER           = 
 
 # If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated 
@@ -1390,5 +1390,5 @@
 # http://en.wikipedia.org/wiki/BibTeX for more info.
 
-LATEX_BIB_STYLE        = plain
+#LATEX_BIB_STYLE        = plain
 
 #---------------------------------------------------------------------------
@@ -1741,5 +1741,5 @@
 # exceeded by 50% before the limit is enforced.
 
-UML_LIMIT_NUM_FIELDS   = 10
+#UML_LIMIT_NUM_FIELDS   = 10
 
 # If set to YES, the inheritance and collaboration graphs will show the 
@@ -1805,5 +1805,5 @@
 # visible. Older versions of IE do not have SVG support.
 
-INTERACTIVE_SVG        = NO
+#INTERACTIVE_SVG        = NO
 
 # The tag DOT_PATH can be used to specify the path where the dot tool can be 
Index: /trunk/include/cf_base.h
===================================================================
--- /trunk/include/cf_base.h	(revision 118)
+++ /trunk/include/cf_base.h	(revision 119)
@@ -1,10 +1,10 @@
 /**
- * @file	cf_base.h
- * @author	myusgun <myusgun@gmail.com>
- * @version	0.1
+ * \file	cf_base.h
+ * \author	myusgun <myusgun@gmail.com>
+ * \version	0.1
  *
- * @brief 기본 정의
+ * \brief 기본 정의
  *
- * @mainpage
+ * \mainpage
 
 <h2 style="line-height: 10%;">Welcome to documentation page of libCF</h2>
Index: /trunk/include/cf_codec.h
===================================================================
--- /trunk/include/cf_codec.h	(revision 118)
+++ /trunk/include/cf_codec.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_codec.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_codec.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 데이터 변환
+ * \brief 데이터 변환
  *
- * @example codec.c
+ * \example codec.c
  */
 #ifndef __CF_CODEC_H__
Index: /trunk/include/cf_debug.h
===================================================================
--- /trunk/include/cf_debug.h	(revision 118)
+++ /trunk/include/cf_debug.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_debug.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_debug.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 디버그 유틸
+ * \brief 디버그 유틸
  *
- * @remarks
+ * \remarks
  * 디버그 함수를 직접 호출하지 않고 정의된 매크로를 사용하면,
  * Preprocessor에 _DEBUG가 정의되어 있는 경우에 만
@@ -11,5 +11,5 @@
  * 디버그 메시지는 stdout 및 stderr 등의 파일 포인터 출력을 지원함
  *
- * @example debug.c
+ * \example debug.c
  */
 #ifndef __CF_DEBUG_H__
@@ -31,9 +31,9 @@
  * 디버그 메시지를 지정된 파일 포인터로 출력
  *
- & @param __fp	출력할 파일 포인터
- * @param __fmt	포맷 스트링
- * @param ...	가변 인자
+ & \param __fp	출력할 파일 포인터
+ * \param __fmt	포맷 스트링
+ * \param ...	가변 인자
  *
- * @see CF_Debug_Print
+ * \see CF_Debug_Print
  */
 # define CF_DEBUG_PRINT(__fp,__fmt,...)	\
@@ -43,11 +43,11 @@
  * 바이너리 데이터를 디버그 메시지와 함께 지정된 파일 포인터로 출력
  *
- & @param __fp	출력할 파일 포인터
- * @param __bin	바이너리 데이터
- * @param __len	바이너리 길이
- * @param __fmt	포맷 스트링
- * @param ...	가변 인자
+ & \param __fp	출력할 파일 포인터
+ * \param __bin	바이너리 데이터
+ * \param __len	바이너리 길이
+ * \param __fmt	포맷 스트링
+ * \param ...	가변 인자
  *
- * @see CF_Debug_PrintBin
+ * \see CF_Debug_PrintBin
  */
 # define CF_DEBUG_PRINT_BIN(__fp,__bin,__len,__fmt,...)	\
@@ -57,5 +57,5 @@
  * 디버깅 모듈 초기화
  *
- * @see CF_Debug_Initialize
+ * \see CF_Debug_Initialize
  */
 # define CF_DEBUG_INITIALIZE	\
@@ -65,5 +65,5 @@
  * 디버깅 모듈 해제
  *
- * @see CF_Debug_Finalize
+ * \see CF_Debug_Finalize
  */
 # define CF_DEBUG_FINALIZE	\
@@ -73,5 +73,5 @@
  * 함수에 진입
  *
- * @see CF_Debug_EnterFunction
+ * \see CF_Debug_EnterFunction
  */
 # define CF_DEBUG_BEGIN_FUNCTION	\
@@ -81,5 +81,5 @@
  * 함수에서 리턴
  *
- * @see CF_Debug_LeaveFunction
+ * \see CF_Debug_LeaveFunction
  */
 # define CF_DEBUG_END_FUNCTION	\
@@ -89,5 +89,5 @@
  * 콜스택 을 지정된 파일 포인터로 출력
  *
- * @see CF_Debug_PrintCallStack
+ * \see CF_Debug_PrintCallStack
  */
 # define CF_DEBUG_PRINT_CALLSTACK(__fp)	\
Index: /trunk/include/cf_error.h
===================================================================
--- /trunk/include/cf_error.h	(revision 118)
+++ /trunk/include/cf_error.h	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_error.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_error.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 오류코드 모음
+ * \brief 오류코드 모음
  */
 #ifndef __CF_ERROR_H__
Index: /trunk/include/cf_file.h
===================================================================
--- /trunk/include/cf_file.h	(revision 118)
+++ /trunk/include/cf_file.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_file.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_file.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 파일 입출력
+ * \brief 파일 입출력
  *
- * @example file.c
+ * \example file.c
  */
 #ifndef __CF_FILE_H__
Index: /trunk/include/cf_list.h
===================================================================
--- /trunk/include/cf_list.h	(revision 118)
+++ /trunk/include/cf_list.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_list.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_list.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 연결 리스트
+ * \brief 연결 리스트
  *
- * @example list.c
+ * \example list.c
  */
 #ifndef __CF_LIST_H__
Index: /trunk/include/cf_log.h
===================================================================
--- /trunk/include/cf_log.h	(revision 118)
+++ /trunk/include/cf_log.h	(revision 119)
@@ -1,13 +1,13 @@
 /**
- * @file	cf_log.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_log.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 로그
+ * \brief 로그
  *
- * @remarks
+ * \remarks
  * 매핑 ID 값을 이용하여 해당 로그에 기록 <br />
  * 로그 레벨을 적용할 때도 용이하며 define 이나 enumeration 등을 활용하면 좋음
  *
- * @example log.c
+ * \example log.c
  */
 #ifndef __CF_LOG_H__
Index: /trunk/include/cf_queue.h
===================================================================
--- /trunk/include/cf_queue.h	(revision 118)
+++ /trunk/include/cf_queue.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_queue.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_queue.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 큐
+ * \brief 큐
  *
- * @example queue.c
+ * \example queue.c
  */
 #ifndef __CF_QUEUE_H__
Index: /trunk/include/cf_socket.h
===================================================================
--- /trunk/include/cf_socket.h	(revision 118)
+++ /trunk/include/cf_socket.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_socket.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_socket.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief TCP 소켓 지원
+ * \brief TCP 소켓 지원
  *
- * @example socket.c
+ * \example socket.c
  */
 #ifndef __CF_SOCKET_H__
Index: /trunk/include/cf_stack.h
===================================================================
--- /trunk/include/cf_stack.h	(revision 118)
+++ /trunk/include/cf_stack.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_stack.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_stack.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 스택
+ * \brief 스택
  *
- * @example stack.c
+ * \example stack.c
  */
 #ifndef __CF_STACK_H__
Index: /trunk/include/cf_thread.h
===================================================================
--- /trunk/include/cf_thread.h	(revision 118)
+++ /trunk/include/cf_thread.h	(revision 119)
@@ -1,9 +1,9 @@
 /**
- * @file	cf_thread.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_thread.h
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 멀티스레드 및 뮤텍스 지원
+ * \brief 멀티스레드 및 뮤텍스 지원
  *
- * @example thread.c
+ * \example thread.c
  */
 #ifndef __CF_THREAD_H__
Index: /trunk/makeinclude/platform.mk
===================================================================
--- /trunk/makeinclude/platform.mk	(revision 118)
+++ /trunk/makeinclude/platform.mk	(revision 119)
@@ -7,9 +7,10 @@
 UNAME_V := $(shell uname -v)
 UNAME_A := $(shell uname -a)
+DOXYGEN	:= $(shell which doxygen)
 
 #------------------------------------------------------------
 # set options
 #------------------------------------------------------------
-ifeq ($(DEBUG), true)
+ifeq ($(DEBUG), YES)
 	DEFS = -D_DEBUG
 	FLAG = -g
Index: /trunk/makeinclude/userdefine.mk
===================================================================
--- /trunk/makeinclude/userdefine.mk	(revision 118)
+++ /trunk/makeinclude/userdefine.mk	(revision 119)
@@ -1,5 +1,15 @@
 #------------------------------------------------------------
-# user define
+# user definition
 #------------------------------------------------------------
-VER		= 64
-DEBUG	= true
+
+# os-version
+# > 32 or 64
+VER				= 64
+
+# compile with debugging flag and definition
+# > YES or NO
+DEBUG			= YES
+
+# create doxygen documents automatically
+# > YES or NO
+DOXYGEN_CREATE	= YES
Index: /trunk/src/cf_codec.c
===================================================================
--- /trunk/src/cf_codec.c	(revision 118)
+++ /trunk/src/cf_codec.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_codec.c
- * @author	myusgun <myusgun@gmail.com>
- *
- * @brief 데이터 변환 구현
+ * \file	cf_codec.c
+ * \author	myusgun <myusgun@gmail.com>
+ *
+ * \brief 데이터 변환 구현
  */
 #include "cf_codec.h"
@@ -72,11 +72,11 @@
  * hex-encode
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param bin	바이너리 데이터
- * @param len	바이너리 데이터의 길이
- * @param hex	16진수 문자열을 저장할 주소
- *
- * @remarks
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param bin	바이너리 데이터
+ * \param len	바이너리 데이터의 길이
+ * \param hex	16진수 문자열을 저장할 주소
+ *
+ * \remarks
  * hex는 할당된 메모리이며, 크기는 '\0'를 제외하고 len * 2
  */
@@ -112,11 +112,11 @@
  * hex-decode
  *
- * @return 성공 시, 디코딩된 바이너리 데이터의 길이; 실패 시, 오류 코드
- *
- * @param hex	16진수 문자열
- * @param bin	바이너리 데이터를 저장할 주소
- * @param len	바이너리 데이터의 길이를 저장할 주소
- *
- * @remarks
+ * \return 성공 시, 디코딩된 바이너리 데이터의 길이; 실패 시, 오류 코드
+ *
+ * \param hex	16진수 문자열
+ * \param bin	바이너리 데이터를 저장할 주소
+ * \param len	바이너리 데이터의 길이를 저장할 주소
+ *
+ * \remarks
  * bin는 할당된 메모리이며, 크기는 strlen (hex) / 2
  */
@@ -178,11 +178,11 @@
  * Base64-encode
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param bin		바이너리 데이터
- * @param len		바이너리 데이터 길이
- * @param base64	base64 문자열을 저장할 주소
- *
- * @remarks
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param bin		바이너리 데이터
+ * \param len		바이너리 데이터 길이
+ * \param base64	base64 문자열을 저장할 주소
+ *
+ * \remarks
  * base64는 할당된 메모리이며, 크기는 '\0'를 제외하고 ((len + 2) / 3) * 4
  */
@@ -241,11 +241,11 @@
  * Base64-decode
  *
- * @return 성공 시, 디코딩된 바이너리 데이터의 길이; 실패 시, 오류 코드
- *
- * @param base64	base64 문자열
- * @param bin		바이너리 데이터를 저장할 주소
- * @param len		바이너리 데이터의 길이를 저장할 주소
- *
- * @remarks
+ * \return 성공 시, 디코딩된 바이너리 데이터의 길이; 실패 시, 오류 코드
+ *
+ * \param base64	base64 문자열
+ * \param bin		바이너리 데이터를 저장할 주소
+ * \param len		바이너리 데이터의 길이를 저장할 주소
+ *
+ * \remarks
  * base64는 할당된 메모리이며, 크기는 (strlen (base64)) / 4 * 3
  */
Index: /trunk/src/cf_debug.c
===================================================================
--- /trunk/src/cf_debug.c	(revision 118)
+++ /trunk/src/cf_debug.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_debug.c
- * @author	myusgun <myusgun@gmail.com>
- *
- * @brief 디버그 유틸 구현
+ * \file	cf_debug.c
+ * \author	myusgun <myusgun@gmail.com>
+ *
+ * \brief 디버그 유틸 구현
  */
 #include "cf_debug.h"
@@ -112,14 +112,14 @@
  * 디버그 메시지를 지정된 파일 포인터로 출력
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param fp	파일 포인터. 표준출력(stdout) 및 표준오류(stderr) 사용 가능
- * @param file	파일 경로
- * @param func	함수 이름
- * @param line	라인 넘버
- * @param fmt	포맷 스트링
- * @param ...	가변 인자
- *
- * @see CF_DEBUG_PRINT
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param fp	파일 포인터. 표준출력(stdout) 및 표준오류(stderr) 사용 가능
+ * \param file	파일 경로
+ * \param func	함수 이름
+ * \param line	라인 넘버
+ * \param fmt	포맷 스트링
+ * \param ...	가변 인자
+ *
+ * \see CF_DEBUG_PRINT
  */
 int
@@ -142,16 +142,16 @@
  * 바이너리 데이터를 디버그 메시지와 함께 지정된 파일 포인터로 출력
  *
- * @return CF_OK 반환
- *
- * @param fp	파일 포인터. 표준출력(stdout) 및 표준오류(stderr) 사용 가능
- * @param file	파일 경로
- * @param func	함수 이름
- * @param line	라인 넘버
- * @param bin	라인 넘버
- * @param len	바이너리 길이
- * @param fmt	포맷 스트링
- * @param ...	가변 인자
- *
- * @see CF_DEBUG_PRINT_BIN
+ * \return CF_OK 반환
+ *
+ * \param fp	파일 포인터. 표준출력(stdout) 및 표준오류(stderr) 사용 가능
+ * \param file	파일 경로
+ * \param func	함수 이름
+ * \param line	라인 넘버
+ * \param bin	라인 넘버
+ * \param len	바이너리 길이
+ * \param fmt	포맷 스트링
+ * \param ...	가변 인자
+ *
+ * \see CF_DEBUG_PRINT_BIN
  */
 int
@@ -178,10 +178,10 @@
  * 컨텍스트에 콜스택 푸시
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx	디버그 컨텍스트
- * @param file	파일 경로
- * @param func	함수 이름
- * @param line	라인 넘버
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx	디버그 컨텍스트
+ * \param file	파일 경로
+ * \param func	함수 이름
+ * \param line	라인 넘버
  */
 static int
@@ -214,10 +214,10 @@
  * 컨텍스트에서 콜스택에서 TOP을 제거하지 않고 가져옴
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		디버그 컨텍스트
- * @param callstack	콜스택 정보를 가져올 콜스택 데이터 구조체 포인터
- *
- * @see CF_Debug_CallStack
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		디버그 컨텍스트
+ * \param callstack	콜스택 정보를 가져올 콜스택 데이터 구조체 포인터
+ *
+ * \see CF_Debug_CallStack
  */
 static int
@@ -245,10 +245,10 @@
  * 컨텍스트에서 콜스택 팝
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		디버그 컨텍스트
- * @param callstack	콜스택 정보를 가져올 콜스택 데이터 구조체 포인터
- *
- * @see CF_Debug_CallStack
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		디버그 컨텍스트
+ * \param callstack	콜스택 정보를 가져올 콜스택 데이터 구조체 포인터
+ *
+ * \see CF_Debug_CallStack
  */
 static int
@@ -277,9 +277,9 @@
  * 디버그 컨텍스트를 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx 디버그 컨텍스트
- *
- * @see CF_DEBUG_DESTROY_CTX
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx 디버그 컨텍스트
+ *
+ * \see CF_DEBUG_DESTROY_CTX
  */
 static int
@@ -304,6 +304,6 @@
  * 디버그 컨텍스트를 생성
  *
- * @return 성공 시, CF_Debug_Ctx 형태의 컨텍스트; 실패 시, NULL
- * @see CF_DEBUG_CREATE_CTX
+ * \return 성공 시, CF_Debug_Ctx 형태의 컨텍스트; 실패 시, NULL
+ * \see CF_DEBUG_CREATE_CTX
  */
 static int
@@ -341,7 +341,7 @@
  * 콜스택 매니저 초기화 (글로벌 컨텍스트)
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @see CF_Debug_Finalize
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \see CF_Debug_Finalize
  */
 int
@@ -359,5 +359,5 @@
  * 콜스택 매니저 해제 (글로벌 컨텍스트)
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  */
 int
@@ -374,11 +374,11 @@
  * 함수 진입을 명시 (글로벌 컨텍스트)
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param file	파일 경로
- * @param func	함수 이름
- * @param line	라인 넘버
- *
- * @see CF_Debug_LeaveFunction
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param file	파일 경로
+ * \param func	함수 이름
+ * \param line	라인 넘버
+ *
+ * \see CF_Debug_LeaveFunction
  */
 int
@@ -401,7 +401,7 @@
  * 함수 종료를 명시 (글로벌 컨텍스트)
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @see CF_Debug_EnterFunction
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \see CF_Debug_EnterFunction
  */
 int
@@ -422,7 +422,7 @@
  * 현재 콜스택을 출력 (글로벌 컨텍스트)
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param fp 출력 할 파일 포인터
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param fp 출력 할 파일 포인터
  */
 int
Index: /trunk/src/cf_file.c
===================================================================
--- /trunk/src/cf_file.c	(revision 118)
+++ /trunk/src/cf_file.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_file.c
- * @author	myusgun <myusgun@gmail.com>
- *
- * @brief 파일 입출력 구현
+ * \file	cf_file.c
+ * \author	myusgun <myusgun@gmail.com>
+ *
+ * \brief 파일 입출력 구현
  */
 #include "cf_file.h"
@@ -72,10 +72,10 @@
  * 파일 열기
  *
- * @return 성공 시, 파일 디스크립터; 실패 시, 오류 코드
- *
- * @param path	파일 경로
- * @param flag	파일 열기 플래그
- *
- * @see CF_FILE_FLAG
+ * \return 성공 시, 파일 디스크립터; 실패 시, 오류 코드
+ *
+ * \param path	파일 경로
+ * \param flag	파일 열기 플래그
+ *
+ * \see CF_FILE_FLAG
  */
 int
@@ -100,7 +100,7 @@
  * 파일 생성
  *
- * @return 성공 시, 파일 디스크립터; 실패 시, 오류 코드
- *
- * @param path 파일 경로
+ * \return 성공 시, 파일 디스크립터; 실패 시, 오류 코드
+ *
+ * \param path 파일 경로
  */
 int
@@ -122,7 +122,7 @@
  * 파일 닫기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param fd 파일 디스크립터
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param fd 파일 디스크립터
  */
 int
@@ -143,9 +143,9 @@
  * 파일 읽기
  *
- * @return 성공 시, 읽은 바이트 수; 실패 시, 오류 코드
- *
- * @param fd	파일 디스크립터
- * @param buf	데이터를 저장할 메모리
- * @param len	데이터를 저장할 메모리의 크기
+ * \return 성공 시, 읽은 바이트 수; 실패 시, 오류 코드
+ *
+ * \param fd	파일 디스크립터
+ * \param buf	데이터를 저장할 메모리
+ * \param len	데이터를 저장할 메모리의 크기
  */
 int
@@ -169,9 +169,9 @@
  * 파일 쓰기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param fd	파일 디스크립터
- * @param buf	데이터가 저장된 메모리
- * @param len	쓸 데이터의 길이
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param fd	파일 디스크립터
+ * \param buf	데이터가 저장된 메모리
+ * \param len	쓸 데이터의 길이
  */
 int
@@ -195,7 +195,7 @@
  * 파일 크기 얻기
  *
- * @return 성공 시, 파일 크기; 실패 시, 오류 코드
- *
- * @param path 파일 경로
+ * \return 성공 시, 파일 크기; 실패 시, 오류 코드
+ *
+ * \param path 파일 경로
  */
 int
@@ -223,7 +223,7 @@
  * 파일 및 디렉터리 존재 여부 검사
  *
- * @return 존재 시, CF_TRUE; 아니면, CF_FALSE
- *
- * @param path 파일 및 디렉터리 경로
+ * \return 존재 시, CF_TRUE; 아니면, CF_FALSE
+ *
+ * \param path 파일 및 디렉터리 경로
  */
 CF_BOOL
@@ -236,7 +236,7 @@
  * 디렉터리 생성
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param path 생성할 디렉터리 경로
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param path 생성할 디렉터리 경로
  */
 int
Index: /trunk/src/cf_list.c
===================================================================
--- /trunk/src/cf_list.c	(revision 118)
+++ /trunk/src/cf_list.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_list.c
- * @author	myusgun <myusgun@gmail.com>
- *
- * @brief 연결 리스트 구현
+ * \file	cf_list.c
+ * \author	myusgun <myusgun@gmail.com>
+ *
+ * \brief 연결 리스트 구현
  */
 #include "cf_list.h"
@@ -42,7 +42,7 @@
  * 리스트 컨텍스트 생성
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx 리스트 컨텍스트 포인터
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx 리스트 컨텍스트 포인터
  */
 int
@@ -65,7 +65,7 @@
  * 리스트 컨텍스트 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx 리스트 컨텍스트
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx 리스트 컨텍스트
  */
 int
@@ -86,8 +86,8 @@
  * 리스트 탐색자(Traverser)를 Front 위치로 설정
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		리스트 컨텍스트
- * @param traverser	리스트 탐색자 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		리스트 컨텍스트
+ * \param traverser	리스트 탐색자 주소
  */
 int
@@ -108,8 +108,8 @@
  * 리스트 탐색자(Traverser)를 Rear 위치로 설정
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		리스트 컨텍스트
- * @param traverser	리스트 탐색자 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		리스트 컨텍스트
+ * \param traverser	리스트 탐색자 주소
  */
 int
@@ -130,12 +130,12 @@
  * 리스트에 새 데이터 삽입
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		리스트 컨텍스트
- * @param traverser	리스트 탐색자
- * @param direction	탐색자의 전/후를 지정
- * @param element	삽입할 데이터 주소
- *
- * @remarks
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		리스트 컨텍스트
+ * \param traverser	리스트 탐색자
+ * \param direction	탐색자의 전/후를 지정
+ * \param element	삽입할 데이터 주소
+ *
+ * \remarks
  * traverser가 NULL일 때,
  * direction이 CF_DIRECTION_BEFORE라면 Front 위치이고
@@ -210,8 +210,8 @@
  * 리스트에서 탐색자 위치의 항목을 삭제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		리스트 컨텍스트
- * @param traverser	리스트 탐색자 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		리스트 컨텍스트
+ * \param traverser	리스트 탐색자 주소
  */
 int
@@ -257,7 +257,7 @@
  * 리스트에서 모든 항목을 삭제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx 리스트 컨텍스트
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx 리스트 컨텍스트
  */
 int
@@ -280,8 +280,8 @@
  * 탐색자 위치의 데이터를 가져옴
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param traverser 리스트 탐색자
- * @param element	데이터 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param traverser 리스트 탐색자
+ * \param element	데이터 주소
  */
 int
@@ -302,7 +302,7 @@
  * 탐색자 위치를 이전으로 이동
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param traverser 리스트 탐색자 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param traverser 리스트 탐색자 주소
  */
 int
@@ -325,7 +325,7 @@
  * 탐색자 위치를 다음으로 이동
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param traverser 리스트 탐색자 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param traverser 리스트 탐색자 주소
  */
 int
@@ -348,7 +348,7 @@
  * 리스트에 등록된 항목의 수를 가져옴
  *
- * @return 성공 시, 항목 수; 실패 시, 오류 코드
- *
- * @param ctx 리스트 컨텍스트
+ * \return 성공 시, 항목 수; 실패 시, 오류 코드
+ *
+ * \param ctx 리스트 컨텍스트
  */
 int
Index: /trunk/src/cf_local.h
===================================================================
--- /trunk/src/cf_local.h	(revision 118)
+++ /trunk/src/cf_local.h	(revision 119)
@@ -1,5 +1,5 @@
 /**
- * @file	cf_local.h
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_local.h
+ * \author	myusgun <myusgun@gmail.com>
  */
 #ifndef __CF_LOCAL_H__
Index: /trunk/src/cf_log.c
===================================================================
--- /trunk/src/cf_log.c	(revision 118)
+++ /trunk/src/cf_log.c	(revision 119)
@@ -1,8 +1,8 @@
 /**
- * @file	cf_log.c
- * @author	myusgun <myusgun@gmail.com>
- * @author	vfire
- *
- * @brief 로그 구현
+ * \file	cf_log.c
+ * \author	myusgun <myusgun@gmail.com>
+ * \author	vfire
+ *
+ * \brief 로그 구현
  */
 #if defined(_WIN32) || defined(_WIN64)
@@ -195,11 +195,11 @@
  * 로그 데이터 처리
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx			로그 컨텍스트
- * @param buffer		로그 데이터
- * @param demandSize	로그 데이터 길이
- *
- * @author vfire
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx			로그 컨텍스트
+ * \param buffer		로그 데이터
+ * \param demandSize	로그 데이터 길이
+ *
+ * \author vfire
  */
 /* static */int
@@ -243,9 +243,9 @@
  * 로그 컨텍스트에 멀티쓰레드 모드 설정
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드 
- *
- * @param ctx 로그 컨텍스트
- *
- * @see CF_Log_UnsetMultiThread
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드 
+ *
+ * \param ctx 로그 컨텍스트
+ *
+ * \see CF_Log_UnsetMultiThread
  */
 static int
@@ -265,9 +265,9 @@
  * 로그 컨텍스트에 멀티쓰레드 모드 설정 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드 
- *
- * @param ctx 로그 컨텍스트
- *
- * @see CF_Log_SetMultiThread
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드 
+ *
+ * \param ctx 로그 컨텍스트
+ *
+ * \see CF_Log_SetMultiThread
  */
 static int
@@ -287,10 +287,10 @@
  * 로그 컨텍스트에 따라 로그 쓰기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx		로그 컨텍스트
- * @param prefix	로그의 프리픽스 문자열
- * @param fmt		포맷 스트링
- * @param ...		가변 인자
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx		로그 컨텍스트
+ * \param prefix	로그의 프리픽스 문자열
+ * \param fmt		포맷 스트링
+ * \param ...		가변 인자
  */
 static int
@@ -328,7 +328,7 @@
  * 로그 버퍼의 데이터를 즉시 로그 파일에 쓰기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param ctx 로그 컨텍스트
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param ctx 로그 컨텍스트
  */
 static int
@@ -349,7 +349,7 @@
  * 로그 컨텍스트 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드 
- *
- * @param ctx 로그 컨텍스트
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드 
+ *
+ * \param ctx 로그 컨텍스트
  */
 static int
@@ -379,11 +379,11 @@
  * 로그 컨텍스트 생성
  *
- * @return 성공 시, 로그 컨텍스트; 실패 시, NULL
- *
- * @param path		로그 파일 경로
- * @param memsize	로그 버퍼 크기
- * @param ctx		로그 컨텍스트 받을 주소
- *
- * @see CF_LOG_DEFAULT_BUFFER, CF_LOG_NO_BUFFER
+ * \return 성공 시, 로그 컨텍스트; 실패 시, NULL
+ *
+ * \param path		로그 파일 경로
+ * \param memsize	로그 버퍼 크기
+ * \param ctx		로그 컨텍스트 받을 주소
+ *
+ * \see CF_LOG_DEFAULT_BUFFER, CF_LOG_NO_BUFFER
  */
 static int
@@ -445,12 +445,12 @@
  * 로그 기록 시, 아이디 넘버를 사용하면 해당 로그로 기록할 수 있음
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid	부여할 아이디 넘버
- * @param ctx	로그 컨텍스트
- *
- * @remarks 반드시 먼저 초기화 해야하며, 초기화 시에 주어진 번호보다 작은 아이디 넘버를 사용
- *
- * @see CF_LOG_OPEN, CF_Log_CreateCtx
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid	부여할 아이디 넘버
+ * \param ctx	로그 컨텍스트
+ *
+ * \remarks 반드시 먼저 초기화 해야하며, 초기화 시에 주어진 번호보다 작은 아이디 넘버를 사용
+ *
+ * \see CF_LOG_OPEN, CF_Log_CreateCtx
  */
 static int
@@ -470,11 +470,11 @@
  * 아이디 넘버에 해당하는 로그를 닫고 해당하는 컨텍스트를 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid 로그의 아이디 넘버
- *
- * @remarks 아이디 넘버에 해당하는 컨텍스트가 해제되므로 주의
- *
- * @see CF_LOG_CLOSE, CF_Log_DestroyCtx
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid 로그의 아이디 넘버
+ *
+ * \remarks 아이디 넘버에 해당하는 컨텍스트가 해제되므로 주의
+ *
+ * \see CF_LOG_CLOSE, CF_Log_DestroyCtx
  */
 static int
@@ -496,8 +496,8 @@
  * 아이디 넘버에 해당하는 로그 컨텍스트를 얻기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid	로그의 아이디 넘버
- * @param ctx	로그 컨텍스트 받을 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid	로그의 아이디 넘버
+ * \param ctx	로그 컨텍스트 받을 주소
  */
 static int
@@ -517,7 +517,7 @@
  * 로그를 사용하기 위해 초기화
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param poolSize	로그 풀 크기로, 로그 아이디 넘버의 최대 값
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param poolSize	로그 풀 크기로, 로그 아이디 넘버의 최대 값
  */
 int
@@ -541,5 +541,5 @@
  * 로그가 모두 사용된 후 자원 해제
  *
- * @return CF_OK 반환
+ * \return CF_OK 반환
  */
 int
@@ -564,11 +564,11 @@
  * 로그 열기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid		로그의 아이디 넘버
- * @param path		로그 파일 경로
- * @param memsize	로그 버퍼 크기
- *
- * @see CF_LOG_DEFAULT_BUFFER, CF_LOG_NO_BUFFER
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid		로그의 아이디 넘버
+ * \param path		로그 파일 경로
+ * \param memsize	로그 버퍼 크기
+ *
+ * \see CF_LOG_DEFAULT_BUFFER, CF_LOG_NO_BUFFER
  */
 int
@@ -594,7 +594,7 @@
  * 로그 닫기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid 로그의 아이디 넘버
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid 로그의 아이디 넘버
  */
 int
@@ -607,7 +607,7 @@
  * 로그 버퍼의 데이터를 즉시 로그 파일에 쓰기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid 로그의 아이디 넘버
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid 로그의 아이디 넘버
  */
 int
@@ -629,10 +629,10 @@
  * 로그 컨텍스트에 멀티쓰레드 모드 설정
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드 
- *
- * @param mapid	로그의 아이디 넘버
- * @param flag	설정/해제 bool 플래그
- *
- * @see CF_BOOL
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드 
+ *
+ * \param mapid	로그의 아이디 넘버
+ * \param flag	설정/해제 bool 플래그
+ *
+ * \see CF_BOOL
  */
 int
@@ -656,10 +656,10 @@
  * 로그 쓰기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mapid		로그의 아이디 넘버
- * @param prefix	로그의 프리픽스 문자열
- * @param fmt		포맷 스트링
- * @param ...		가변 인자
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mapid		로그의 아이디 넘버
+ * \param prefix	로그의 프리픽스 문자열
+ * \param fmt		포맷 스트링
+ * \param ...		가변 인자
  */
 int
Index: /trunk/src/cf_queue.c
===================================================================
--- /trunk/src/cf_queue.c	(revision 118)
+++ /trunk/src/cf_queue.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_queue.c
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_queue.c
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 큐 구현
+ * \brief 큐 구현
  */
 #include "cf_queue.h"
@@ -14,7 +14,7 @@
  * 큐 컨텍스트 생성
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx 큐 컨텍스트 포인터
+ * \param ctx 큐 컨텍스트 포인터
  */
 int
@@ -27,7 +27,7 @@
  * 큐 컨텍스트 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx 큐 컨텍스트
+ * \param ctx 큐 컨텍스트
  */
 int
@@ -40,8 +40,8 @@
  * 큐에 삽입
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx		큐 컨텍스트
- * @param element	데이터 주소
+ * \param ctx		큐 컨텍스트
+ * \param element	데이터 주소
  */
 int
@@ -63,8 +63,8 @@
  * 큐에서 꺼내기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx		큐 컨텍스트
- * @param element	데이터 주소
+ * \param ctx		큐 컨텍스트
+ * \param element	데이터 주소
  */
 int
@@ -90,8 +90,8 @@
  * 큐 처음의 데이터 조회
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx		큐 컨텍스트
- * @param element	데이터 주소
+ * \param ctx		큐 컨텍스트
+ * \param element	데이터 주소
  */
 int
@@ -113,7 +113,7 @@
  * 큐에 등록된 항목의 수를 가져옴
  *
- * @return 성공 시, 항목 수; 실패 시, 오류 코드
+ * \return 성공 시, 항목 수; 실패 시, 오류 코드
  *
- * @param ctx 큐 컨텍스트
+ * \param ctx 큐 컨텍스트
  */
 int
Index: /trunk/src/cf_socket.c
===================================================================
--- /trunk/src/cf_socket.c	(revision 118)
+++ /trunk/src/cf_socket.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_socket.c
- * @author	myusgun <myusgun@gmail.com>
- *
- * @brief TCP 소켓 구현
+ * \file	cf_socket.c
+ * \author	myusgun <myusgun@gmail.com>
+ *
+ * \brief TCP 소켓 구현
  */
 #include "cf_socket.h"
@@ -136,5 +136,5 @@
  * 소켓의 초기화 상태 확인
  *
- * @return 초기화 된 경우, CF_TRUE; 그렇지 않은 경우, CF_FALSE
+ * \return 초기화 된 경우, CF_TRUE; 그렇지 않은 경우, CF_FALSE
  */
 CF_BOOL
@@ -147,5 +147,5 @@
  * 소켓 초기화
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  */
 int
@@ -165,5 +165,5 @@
  * 소켓 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  */
 int
@@ -183,7 +183,7 @@
  * 소켓 닫기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param sock 소켓
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param sock 소켓
  */
 int
@@ -205,10 +205,10 @@
  * 소켓 옵션 설정
  *
- * @return 성공 시 CF_OK; 실패 시, 오류 코드
- *
- * @param sock		소켓
- * @param optname	옵션 이름
- * @param optval	설정할 옵션 값의 메모리
- * @param optlen	설정할 옵션의 길이
+ * \return 성공 시 CF_OK; 실패 시, 오류 코드
+ *
+ * \param sock		소켓
+ * \param optname	옵션 이름
+ * \param optval	설정할 옵션 값의 메모리
+ * \param optlen	설정할 옵션의 길이
  */
 int
@@ -240,10 +240,10 @@
  * 소켓 옵션 얻기
  *
- * @return 성공 시 CF_OK; 실패 시, 오류 코드
- *
- * @param sock		소켓
- * @param optname	옵션 이름
- * @param optval	옵션 값을 가져올 메모리
- * @param optlen	옵션 길이를 가져올 메모리
+ * \return 성공 시 CF_OK; 실패 시, 오류 코드
+ *
+ * \param sock		소켓
+ * \param optname	옵션 이름
+ * \param optval	옵션 값을 가져올 메모리
+ * \param optlen	옵션 길이를 가져올 메모리
  */
 int
@@ -275,8 +275,8 @@
  * 소켓 연결
  *
- * @return 성공 시, 연결된 소켓; 실패 시, 오류 코드
- *
- * @param ip		연결할 호스트의 주소 (도메인 이름 가능)
- * @param port		연결할 호스트의 포트번호
+ * \return 성공 시, 연결된 소켓; 실패 시, 오류 코드
+ *
+ * \param ip		연결할 호스트의 주소 (도메인 이름 가능)
+ * \param port		연결할 호스트의 포트번호
  */
 int
@@ -290,11 +290,11 @@
  * 타임아웃 동안 소켓 연결
  *
- * @return 성공 시, 연결된 소켓; 실패 시, 오류 코드
- *
- * @param ip		연결할 호스트의 주소 (도메인 이름 가능)
- * @param port		연결할 호스트의 포트번호
- * @param timeout	타임아웃 (초)
- *
- * @see CF_SOCKET_NO_TIMEOUT
+ * \return 성공 시, 연결된 소켓; 실패 시, 오류 코드
+ *
+ * \param ip		연결할 호스트의 주소 (도메인 이름 가능)
+ * \param port		연결할 호스트의 포트번호
+ * \param timeout	타임아웃 (초)
+ *
+ * \see CF_SOCKET_NO_TIMEOUT
  */
 int
@@ -422,8 +422,8 @@
  * 서버 열기
  *
- * @return 성공 시, 서버 소켓; 실패 시, 오류 코드
- *
- * @param port		서버 포트
- * @param backlog	listen 시의 backlog 수
+ * \return 성공 시, 서버 소켓; 실패 시, 오류 코드
+ *
+ * \param port		서버 포트
+ * \param backlog	listen 시의 backlog 수
  */
 int
@@ -480,9 +480,9 @@
  * 소켓 연결
  *
- * @return 성공 시, 연결된 소켓; 실패 시, 오류 코드
- *
- * @param sock	서버 소켓
- *
- * @see CF_Socket_HostInfo
+ * \return 성공 시, 연결된 소켓; 실패 시, 오류 코드
+ *
+ * \param sock	서버 소켓
+ *
+ * \see CF_Socket_HostInfo
  */
 int
@@ -505,9 +505,9 @@
  * 데이터 송신
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param sock	소켓
- * @param buf	송신할 데이터
- * @param len	송신할 데이터의 길이
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param sock	소켓
+ * \param buf	송신할 데이터
+ * \param len	송신할 데이터의 길이
  */
 int
@@ -522,12 +522,12 @@
  * 타임아웃 동안 데이터 송신
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param sock		소켓
- * @param buf		송신할 데이터
- * @param len		송신할 데이터의 길이
- * @param timeout	타임아웃 (초)
- *
- * @see CF_SOCKET_NO_TIMEOUT
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param sock		소켓
+ * \param buf		송신할 데이터
+ * \param len		송신할 데이터의 길이
+ * \param timeout	타임아웃 (초)
+ *
+ * \see CF_SOCKET_NO_TIMEOUT
  */
 int
@@ -551,9 +551,9 @@
  * 데이터 수신
  *
- * @return 성공 시, 수신한 데이터의 길이; 실패 시, 오류 코드
- *
- * @param sock	소켓
- * @param buf	데이터를 수신할 버퍼
- * @param len	데이터를 수신할 버퍼의 최대 크기
+ * \return 성공 시, 수신한 데이터의 길이; 실패 시, 오류 코드
+ *
+ * \param sock	소켓
+ * \param buf	데이터를 수신할 버퍼
+ * \param len	데이터를 수신할 버퍼의 최대 크기
  */
 int
@@ -568,12 +568,12 @@
  * 타임아웃 동안 데이터 수신
  *
- * @return 성공 시, 수신한 데이터의 길이; 실패 시, 오류 코드
- *
- * @param sock		소켓
- * @param buf		데이터를 수신할 버퍼
- * @param len		데이터를 수신할 버퍼의 최대 크기
- * @param timeout	타임아웃 (초)
- *
- * @see CF_SOCKET_NO_TIMEOUT
+ * \return 성공 시, 수신한 데이터의 길이; 실패 시, 오류 코드
+ *
+ * \param sock		소켓
+ * \param buf		데이터를 수신할 버퍼
+ * \param len		데이터를 수신할 버퍼의 최대 크기
+ * \param timeout	타임아웃 (초)
+ *
+ * \see CF_SOCKET_NO_TIMEOUT
  */
 int
Index: /trunk/src/cf_stack.c
===================================================================
--- /trunk/src/cf_stack.c	(revision 118)
+++ /trunk/src/cf_stack.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_stack.c
- * @author	myusgun <myusgun@gmail.com>
+ * \file	cf_stack.c
+ * \author	myusgun <myusgun@gmail.com>
  *
- * @brief 스택 구현
+ * \brief 스택 구현
  */
 #include "cf_stack.h"
@@ -14,7 +14,7 @@
  * 스택 컨텍스트 생성
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx 스택 컨텍스트 포인터
+ * \param ctx 스택 컨텍스트 포인터
  */
 int
@@ -27,7 +27,7 @@
  * 스택 컨텍스트 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx 스택 컨텍스트
+ * \param ctx 스택 컨텍스트
  */
 int
@@ -40,8 +40,8 @@
  * 스택에 삽입
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx		스택 컨텍스트
- * @param element	데이터 주소
+ * \param ctx		스택 컨텍스트
+ * \param element	데이터 주소
  */
 int
@@ -63,8 +63,8 @@
  * 스택에서 꺼내기
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx		스택 컨텍스트
- * @param element	데이터 주소
+ * \param ctx		스택 컨텍스트
+ * \param element	데이터 주소
  */
 int
@@ -90,8 +90,8 @@
  * 스택 최상위의 데이터 조회
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
  *
- * @param ctx		스택 컨텍스트
- * @param element	데이터 주소
+ * \param ctx		스택 컨텍스트
+ * \param element	데이터 주소
  */
 int
@@ -113,7 +113,7 @@
  * 스택에 등록된 항목의 수를 가져옴
  *
- * @return 성공 시, 항목 수; 실패 시, 오류 코드
+ * \return 성공 시, 항목 수; 실패 시, 오류 코드
  *
- * @param ctx 스택 컨텍스트
+ * \param ctx 스택 컨텍스트
  */
 int
Index: /trunk/src/cf_thread.c
===================================================================
--- /trunk/src/cf_thread.c	(revision 118)
+++ /trunk/src/cf_thread.c	(revision 119)
@@ -1,7 +1,7 @@
 /**
- * @file	cf_thread.c
- * @author	myusgun <myusgun@gmail.com>
- *
- * @brief 멀티 스레드 및 뮤텍스 구현
+ * \file	cf_thread.c
+ * \author	myusgun <myusgun@gmail.com>
+ *
+ * \brief 멀티 스레드 및 뮤텍스 구현
  */
 #include "cf_thread.h"
@@ -51,11 +51,11 @@
  * 스레드를 생성
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param threadID	스레드 아이디 주소
- * @param callback	스레드 워커 함수 이름
- * @param arg		스레드 함수로 전달할 인자
- *
- * @remarks
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param threadID	스레드 아이디 주소
+ * \param callback	스레드 워커 함수 이름
+ * \param arg		스레드 함수로 전달할 인자
+ *
+ * \remarks
  * pthread(POSIX Thread)에서 지원되는 스케줄링 정책은 SCHED_OTHER, SCHED_FIFO, SCHED_RR 등이 존재 <br />
  * 일반적으로 설정되는 스케줄링 정책의 기본값은 SCHED_OTHER이며, 솔라리스 환경에서 SCHED_OTHER는 TS(timesharing) 방식으로 명시되어 있음 <br />
@@ -124,9 +124,9 @@
  * 스레드 아이디를 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param threadID 스레드 아이디 주소
- *
- * @remarks 스레드 아이디를 해제하는 것이며 워커 스레드가 종료되지 않음
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param threadID 스레드 아이디 주소
+ *
+ * \remarks 스레드 아이디를 해제하는 것이며 워커 스레드가 종료되지 않음
  */
 int
@@ -141,7 +141,7 @@
  * 스레드가 종료될 때 까지 대기
  *
- * @return CF_OK 반환
- *
- * @param threadID 스레드 아이디 주소
+ * \return CF_OK 반환
+ *
+ * \param threadID 스레드 아이디 주소
  */
 int
@@ -163,9 +163,9 @@
  * 뮤텍스 생성
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mutex 뮤텍스 아이디 주소
- *
- * @see CF_Thread_Create
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mutex 뮤텍스 아이디 주소
+ *
+ * \see CF_Thread_Create
  */
 int
@@ -194,7 +194,7 @@
  * 뮤텍스 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mutex 뮤텍스 아이디 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mutex 뮤텍스 아이디 주소
  */
 int
@@ -213,7 +213,7 @@
  * 뮤텍스 잠금
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mutex 뮤텍스 아이디 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mutex 뮤텍스 아이디 주소
  */
 int
@@ -234,7 +234,7 @@
  * 뮤텍스 잠금 해제
  *
- * @return 성공 시, CF_OK; 실패 시, 오류 코드
- *
- * @param mutex 뮤텍스 아이디 주소
+ * \return 성공 시, CF_OK; 실패 시, 오류 코드
+ *
+ * \param mutex 뮤텍스 아이디 주소
  */
 int
Index: /trunk/src/makefile
===================================================================
--- /trunk/src/makefile	(revision 118)
+++ /trunk/src/makefile	(revision 119)
@@ -27,4 +27,6 @@
 SRCS			= $(addsuffix .$(SOURCE_TYPE),$(FILES))
 OBJS			= $(addprefix $(OBJ_PATH)/,$(addsuffix .o,$(FILES)))
+DOXYGEN_PATH	= ../docs
+DOXYGEN_FILE	= $(DOXYGEN_PATH)/doxyfile
 
 INCLUDES		= -I../include
@@ -33,5 +35,5 @@
 # label
 #----------------------------------------------------------
-all: $(OBJ_PATH) $(TARGET_PATH) $(TARGET)
+all: $(OBJ_PATH) $(TARGET_PATH) $(TARGET) doxygen
 	@echo ========== Complete LIBCF compilation ==========
 $(TARGET_PATH): dummy
@@ -51,7 +53,20 @@
 	$(CC) $(CFLAGS) $(CDEFS) $(INCLUDES) -o $@ -c $?
 
+# doxygen
+doxygen: dummy
+ifeq ($(DOXYGEN_CREATE),YES)
+ifeq ($(DOXYGEN),)
+	@echo "doxygen was not found."
+else
+	@echo "========== DOXYGEN DOCUMENTATION =========="
+	cd $(DOXYGEN_PATH); $(DOXYGEN) $(DOXYGEN_FILE); cat warning.log;
+endif
+endif
+
 clean: dummy
 	rm -rf $(TARGET_PATH) $(OBJ_PATH)
+ifeq ($(DOXYGEN_CREATE),YES)
+	rm -rf ../documentation
+endif
 
 dummy:
-
